Comments in CSS disappear in page skins Custom CSS

Bug #1369830 reported by Teresa Brady on 2014-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Son Nguyen

Bug Description

Originally reported on the Mahara forum: https://mahara.org/interaction/forum/topic.php?id=6443&offset=0&limit=10

This is more of a feature request.

We are currently on 1.9.2 on Linux w/ MySQL.

The issue is that when creating a page skin, comments in the CSS disappear from page skins Custom CSS area.
Is there a way of getting the comments to stay?
It is quite important that people can comment what their CSS affects - so if they make their skin available to others, other people can then know what to change, and how it will affect the style of their page skin.

For example:
    /* This makes the page heading background transparent*/
    #top-wrapper {
    background: transparent;
    }

    /* This makes the page footer background transparent*/
    #footer-wrap {
    background-color: transparent;
    }

    #footer {
    background-color: transparent;
    }

    /* This will change the colour of the tabbed navigation in a collection*/
    ul.colnav li a, ul.colnav li a:link, ul.colnav li a:visited, ul.colnav li a:active {
    background:#A2F7FF;
    color:#9F0DF6
    }

description: updated
Aaron Wells (aaronwells) on 2014-09-21
Changed in mahara:
status: New → Confirmed
Aaron Wells (u-aaronw) on 2014-09-21
Changed in mahara:
importance: Undecided → Medium
tags: added: skins
Aaron Wells (u-aaronw) wrote :
description: updated
Son Nguyen (ngson2000) on 2014-09-24
Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3721
Committed: http://gitorious.org/mahara/mahara/commit/859478ef6e3f05dbdedb0df0d1d2a922bdc16b0e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 859478ef6e3f05dbdedb0df0d1d2a922bdc16b0e
Author: Son Nguyen <email address hidden>
Date: Wed Sep 24 16:01:14 2014 +1200

Allow CSS comments in customised skins. Bug 1369830

Change-Id: I0734ce56a2adee1659150c14f03659e261adde06

Reviewed: https://reviews.mahara.org/3846
Committed: http://gitorious.org/mahara/mahara/commit/816b6f44e30de7a29f0f2e11c67dcbaa74b941fe
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 816b6f44e30de7a29f0f2e11c67dcbaa74b941fe
Author: Son Nguyen <email address hidden>
Date: Wed Sep 24 16:01:14 2014 +1200

Allow CSS comments in customised skins. Bug 1369830

Change-Id: I0734ce56a2adee1659150c14f03659e261adde06

Robert Lyon (robertl-9) on 2014-10-20
Changed in mahara:
milestone: none → 1.10.0
Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/6852
Committed: https://git.mahara.org/mahara/mahara/commit/a485b22c302f862e1bfd4254320a837418c24511
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit a485b22c302f862e1bfd4254320a837418c24511
Author: Son Nguyen <email address hidden>
Date: Wed Sep 24 16:01:14 2014 +1200

Allow CSS comments in customised skins. Bug 1369830

As we add a new configuration option to HTML Purifier,
we have to update HTMLPurifier/ConfigSchema/schema.ser
1. Download and unzip HTMLPurifier package
2. Copy Filter.ExtractStyleBlocks.PreserveCSS.txt
from mahara to the unzip folder
3. Run php maintenance/generate-schema-cache.php in
unzup folder
4. Copy over lib/HTMLPurifier/ConfigSchema/schema.ser
from unzip folder to mahara

Change-Id: Id955dec7d2cf795a485ac220c3ea50052d4de47f

Reviewed: https://reviews.mahara.org/8738
Committed: https://git.mahara.org/mahara/mahara/commit/63d7fa3ea5a4588fd19ba2879253a25f7f2e8b96
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 63d7fa3ea5a4588fd19ba2879253a25f7f2e8b96
Author: Son Nguyen <email address hidden>
Date: Wed Sep 24 16:01:14 2014 +1200

Bug 1759367: Cherry-pick for Allow CSS comments in customised skins.

Cherry pick of Bug 1369830 for the upgrade of html purifier to 4.10.0

As we add a new configuration option to HTML Purifier,
we have to update HTMLPurifier/ConfigSchema/schema.ser
1. Download and unzip HTMLPurifier package
2. Copy Filter.ExtractStyleBlocks.PreserveCSS.txt
from mahara to the unzip folder
3. Run php maintenance/generate-schema-cache.php in
unzup folder
4. Copy over lib/HTMLPurifier/ConfigSchema/schema.ser
from unzip folder to mahara

behatnotneeded

Change-Id: I42618f0998425d20f7732843af8a700260c8d96e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8760
Committed: https://git.mahara.org/mahara/mahara/commit/ee33c18129082b1317373119b1c5777eabc44445
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.04_STABLE

commit ee33c18129082b1317373119b1c5777eabc44445
Author: Son Nguyen <email address hidden>
Date: Wed Sep 24 16:01:14 2014 +1200

Bug 1759367: Cherry-pick for Allow CSS comments in customised skins.

Cherry pick of Bug 1369830 for the upgrade of html purifier to 4.10.0

As we add a new configuration option to HTML Purifier,
we have to update HTMLPurifier/ConfigSchema/schema.ser
1. Download and unzip HTMLPurifier package
2. Copy Filter.ExtractStyleBlocks.PreserveCSS.txt
from mahara to the unzip folder
3. Run php maintenance/generate-schema-cache.php in
unzup folder
4. Copy over lib/HTMLPurifier/ConfigSchema/schema.ser
from unzip folder to mahara

behatnotneeded

Change-Id: I42618f0998425d20f7732843af8a700260c8d96e

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers